#ifndef __ERROR_PHILM__
#define __ERROR_PHILM__

#include "Constants_PhilM.h"

#define BAD_ACCESS		"the file is unobtainable or inaccessible"
#define BAD_CLOSE		"bad file closing"
#define BAD_CREAT		"bad file creating"
#define BAD_DSP_OPEN		"bad dsp opening"
#define BAD_EXEC		"bad process execution (execve)"
#define BAD_FILE		"the file is unobtainable"
#define BAD_FORK		"bad process duplication (fork)"
#define BAD_LINE		"Error Line nb"
#define BAD_NAME		"file non-existent"
#define BAD_OPEN		"bad file opening"
#define BAD_PLUGIN_EXEC		"bad execution of the plug in"
#define BAD_READ		"bad reading of the file"
#define BAD_RIGHT		"the rights of the file don't allows the asked access"
#define BAD_SCRIPT		"bad line in the file"
#define BAD_SEEK		"bad lseek"
#define BAD_STAT		"bad fstat"
#define BAD_TEMP		"bad tempfile creating"
#define BAD_WAV			"bad WAV file"
#define BAD_WRITE		"bad file writing"
#define FILE_NON_EXISTENT	"file non-existent:"
#define UNKNOWN_SOUND_TYPE	"unknown kind of sound-file"

/* errors in the file 'Sound_File_Loader' */

#define EMPTY_WORD		"empty word"
#define UNTEMINATED_WORD	"end-of-word char missing"


/* erreur relative a l'ecriture du fichier 'Filter' */
#define BAD_CATEGORY_DECLARATION      "bad sound filter oratory"
#define BAD_CATEGORY_NB		      "bad category number"
#define BAD_CATEGORY_NB_FOR_FILTER    "bad number of category for the filter"
#define BAD_CATEGORY_START	      "the oratory of a filter category must start with the char '$'"
#define BAD_FILTER_DECLARATION	      "error in the script declaring the sound filters"
#define BAD_FILTER_PATH		      "bad filter path"
#define BAD_VALUE_FOR_CATEGORY_NB     "bad value of the categiory number"
#define CATEGORY_NAME_EMPTY	      "the name of the category in empty"
#define NO_CATEGORY_END		      "no end of category (" END_CATEGORY ")"
#define NO_CATEGORY_FOR_FILTER	      "the oratory of a filter must start by the number of his category"
#define NO_CATEGORY_NB		      "this category dosn't have a number"
#define NO_CATEGORY_START_NAME	      "le char '$' must be followed by the char '""'"
#define NO_CLOSE_CHAR		      "no inverted commas closing (no char '""')"
#define NO_FILTER_END		      "no end of oratory's filter ($filter_end)"
#define NO_FILTER_NAME		      "no name for the filter"
#define NO_FILTER_PATH		      "no path for the filter"
#define NO_START_CATEGORY_DECLARATION "no string ("START_CATEGORY") for the beginnig of the aratorys of filters"
#define UNEXPECTED_END_FILTER	      "unexpected end of filter oratory"
#define WRONG_CATEGORY_NB	      "bad category number: the category numbers must follow each other"

#endif /* __ERROR_PHILM__ */
